## org.python.core
Class CompilerFlags

    java.lang.Object
      org.python.core.CompilerFlags

    public class CompilerFlags

extends java.lang.Object

Field Summary
`boolean` `division`
`java.lang.String` `encoding`
`boolean` `generator_allowed`
`boolean` `nested_scopes`

Constructor Summary
`CompilerFlags()`
`CompilerFlags(int co_flags)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nested_scopes

    public boolean nested_scopes

### division

    public boolean division

### generator_allowed

    public boolean generator_allowed

### encoding

    public java.lang.String encoding

Constructor Detail

### CompilerFlags

    public CompilerFlags()

### CompilerFlags

    public CompilerFlags(int co_flags)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Jython homepage